/*
 * Written By - Swapnil Verma
 * 1 sept 2016
 * 
 * This program is for arduino connected in physical cardboard piano.
 * 
 */
 
void setup() {
  Serial.begin(9600);
  
  for (int i = 2; i <=13; i++) {
    // Define pins as INPUT
    pinMode(i, INPUT);
    // Set pins to HIGH
    digitalWrite(i, HIGH);
  }
  // Set one more pin to INPUT as well as HIGH
  pinMode(A5, INPUT);
  digitalWrite(A5, HIGH);
}

void loop() {
  for (int i = 2; i <= 9; i++) {
    if (digitalRead(i) == LOW)     // check reading for all the pins connected to the arduino
      Serial.print(i);
  }
  if (digitalRead(10) == LOW)
    Serial.print('a');
  if (digitalRead(11) == LOW)
    Serial.print('b');
  if (digitalRead(12) == LOW)
    Serial.print('c');
  if (digitalRead(13) == LOW)
    Serial.print('d');
  if (digitalRead(A5) == LOW)
    Serial.print(1);
    
  delay(200);
}
